$(function() {

	/**
	 * Go to anchor on the current page. The function scrolls 20px under the navigation bar
	 * so the text being scrolled to is visible.
	 *
	 * Stejná funkce je v soubor testform.js
	 */
	$('.anchor').click(setAnchorListener);
  function setAnchorListener(e) {
    var $target = $(e.target.hash);
    var $offsets = $target.offset();
    if ($offsets) {
    	e.preventDefault();
    	window.scrollTo(0, $offsets.top - $('.nav-bar').height() - 20);
	    $target.removeClass('anchor-highlight');
			setTimeout(null,10);
			$target.addClass('anchor-highlight');
    }
  }

});

$(window).load(function() {

	/**
	 * Go to anchor when the page loads. The function scrolls 30px downwards so the text being
	 * scrolled to is visible.
	 */
  function goToAnchorOnPageLoad() {
		var id = window.location.hash;    
		id = id.replace('#','');

		var divid = document.getElementById(id);
		if (!divid) {
			divid = document.getElementsByName(id)[0];
		}
		if (!divid) {
			return false;
		}
		divid.style.display = 'block';
		divid.scrollIntoView(true);
		window.location.hash = id;

		var offsets = $('#'+id).offset();
		if (!offsets) {
			offsets = $('[name="'+id+'"]').offset();
		}
		if (!offsets) {
			return false;
		}
		$('html, body').animate({ scrollTop: offsets.top - $('.nav-bar').height() - 20 })

		$('#'+id).addClass('anchor-highlight');

		return false;
	}

	if (window.location.hash) {
		goToAnchorOnPageLoad();
	}

});
